CREATE TABLE IF NOT EXISTS COUNTRY(
	ID INTEGER(3) PRIMARY KEY,
	NAME VARCHAR(50) NOT NULL,
	DOMAIN VARCHAR(50) NOT NULL
);
CREATE TABLE IF NOT EXISTS TYPE_OF_ID(
	ID INTEGER(2) PRIMARY KEY,
	NAME VARCHAR(50) NOT NULL
);

CREATE TABLE IF NOT EXISTS AREA(
	ID INTEGER(2) PRIMARY KEY,
	NAME VARCHAR(50) NOT NULL
);

CREATE TABLE IF NOT EXISTS STATUS(
	ID INTEGER(2) PRIMARY KEY,
	NAME VARCHAR(20) NOT NULL
);

CREATE TABLE IF NOT EXISTS TYPE_OF_ID(
	ID INTEGER(2) PRIMARY KEY,
	NAME VARCHAR(50) NOT NULL
);

CREATE TABLE IF NOT EXISTS EMPLOYEE(
	ID BIGINT PRIMARY KEY AUTO_INCREMENT,
	SURNAME VARCHAR(20) NOT NULL,
	SECOND_SURNAME VARCHAR(20) NOT NULL,
	FIRST_NAME VARCHAR(20) NOT NULL,
	OTHER_NAMES VARCHAR(50),
	JOB_COUNTRY_ID INTEGER(3) NOT NULL,
	TYPE_OF_ID_ID INTEGER(2) NOT NULL,
	ID_NUMBER VARCHAR(20) NOT NULL,
	EMAIL VARCHAR(300) NOT NULL,
	DATE_OF_ADMISSION DATE NOT NULL,
	AREA_ID INTEGER(2) NOT NULL,
	STATUS_ID INTEGER(2) NOT NULL, 
	DATE_OF_ENTRY TIMESTAMP NOT NULL,
	FOREIGN KEY(JOB_COUNTRY_ID) REFERENCES COUNTRY(ID),
	FOREIGN KEY(TYPE_OF_ID_ID) REFERENCES TYPE_OF_ID(ID),
	FOREIGN KEY(AREA_ID) REFERENCES AREA(ID),
	FOREIGN KEY(STATUS_ID) REFERENCES STATUS(ID)
);

INSERT INTO COUNTRY VALUES(1,'Colombia','cidenet.com.co');
INSERT INTO COUNTRY VALUES(2,'Estados unidos','cidenet.com.us');

INSERT INTO TYPE_OF_ID VALUES(1,'Cedula de ciudadania');
INSERT INTO TYPE_OF_ID VALUES(2,'Cedula de extranjeria');
INSERT INTO TYPE_OF_ID VALUES(3,'Pasaporte');
INSERT INTO TYPE_OF_ID VALUES(4,'Permiso especial');

INSERT INTO AREA VALUES(1,'Administracion');
INSERT INTO AREA VALUES(2,'Financiera');
INSERT INTO AREA VALUES(3,'Compras');
INSERT INTO AREA VALUES(4,'Infraestructura');
INSERT INTO AREA VALUES(5,'Operacion');
INSERT INTO AREA VALUES(6,'Talento Humano');
INSERT INTO AREA VALUES(7,'Servicios Varios');

INSERT INTO STATUS VALUES(1,'Activo');
